Package oracle.nosql.driver

## Enum StatsControl.Profile

- java.lang.Object
- - java.lang.Enum<StatsControl.Profile>
  - - oracle.nosql.driver.StatsControl.Profile

- All Implemented Interfaces:
    `Serializable`, `Comparable<StatsControl.Profile>`
  Enclosing interface:
    StatsControl

      public static enum StatsControl.Profile
      extends Enum<StatsControl.Profile>

  The following semantics are attached to the Profile: - NONE: no stats are logged. - REGULAR: per request: counters, errors, latencies, delays, retries - MORE: stats above with 95th and 99th percentile latencies. - ALL: stats above with per query information

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `MORE` |
    `NONE` |
    `REGULAR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StatsControl.Profile` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static StatsControl.Profile[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final StatsControl.Profile NONE

    - #### REGULAR

          public static final StatsControl.Profile REGULAR

    - #### MORE

          public static final StatsControl.Profile MORE

    - #### ALL

          public static final StatsControl.Profile ALL

  - ### Method Detail

    - #### values

          public static StatsControl.Profile[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatsControl.Profile c : StatsControl.Profile.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatsControl.Profile valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null